/**
 * thehotel.js
 *
 * Javascript used by the Hotel theme.
 */
( function( $ ) {
	$( window ).load( function() {
		var isHomepageTemplate, isFullWidthTemplate;

		// If we're in desktop orientation...
		if ( jQuery( window ).width() > 768 ) {
			isHomepageTemplate	= $( 'body' ).hasClass( 'page-template-template-homepage-php' );
			isFullWidthTemplate	= $( 'body' ).hasClass( 'page-template-template-fullwidth-php' );

			// Match column heights
			if ( ! isHomepageTemplate && ! isFullWidthTemplate ) {
				$( '#primary, #secondary' ).matchHeight();
				setTimeout( function () {
					$.fn.matchHeight._maintainScroll = true;
					$.fn.matchHeight._update();
				}, 100 );
			}

			$( '.wc-tabs-wrapper, .woocommerce-tabs' ).on( 'click', '.wc-tabs li a, ul.tabs li a', function() {
				setTimeout( function () {
					$.fn.matchHeight._maintainScroll = true;
					$.fn.matchHeight._update();
				}, 100 );
			});

			// Add wrapper around widgets and have the sidebar follow as you scroll
			if ( $( '#secondary' ).length ) {
				$( '#secondary' ).wrapInner( '<div class="secondary-inner"></div>' );
				$( '#secondary .secondary-inner' ).stick_in_parent();
			}

			// Homepage section titles
			if ( isHomepageTemplate ) {
				$( '.section-title-wrapper, .storefront-product-section .woocommerce .section-title, .page-template-template-homepage-php .entry-title' ).stick_in_parent();
			}
		}
	});
} )( jQuery );